searchNodes=[{"type":"module","title":"BibleEx","doc":"An Elixir package that parses strings for Bible references. Parse single references or multiple references from a string into a variety of data structures.","ref":"BibleEx.html"},{"type":"function","title":"BibleEx.typeof/1","doc":"Used internally by BibleEx.","ref":"BibleEx.html#typeof/1"},{"type":"module","title":"BibleEx.Chapter","doc":"A Bible chapter struct.","ref":"BibleEx.Chapter.html"},{"type":"function","title":"BibleEx.Chapter.new/1","doc":"Make a new %Chapter{} struct. Parameters book : a string that is one of the four possible book name formats &quot;GEN&quot; (abbr) &quot;Genesis&quot; (name) &quot;Gen&quot; (osis) &quot;Gn&quot; (short) chapter_number : an integer that is the chapter number Examples iex&gt; alias BibleEx.Chapter iex&gt; Chapter . new ( book : &quot;Gn&quot; , chapter_number : 2 ) % BibleEx.Chapter { book : &quot;Gn&quot; , book_names : %{ abbr : &quot;GEN&quot; , name : &quot;Genesis&quot; , osis : &quot;Gen&quot; , short : &quot;Gn&quot; } , reference_type : :chapter , reference : &quot;Gn 2&quot; , chapter_number : 2 , start_verse_number : 1 , ... } iex&gt; alias BibleEx.Chapter iex&gt; Chapter . new ( book : &quot;Gn&quot; , chapter_number : nil ) % BibleEx.Chapter { book : &quot;Gn&quot; , book_names : %{ abbr : &quot;GEN&quot; , name : &quot;Genesis&quot; , osis : &quot;Gen&quot; , short : &quot;Gn&quot; } , reference_type : :chapter , reference : nil , chapter_number : nil , start_verse_number : 1 , start_verse : % BibleEx.Verse { book : &quot;Gn&quot; , book_names : %{ abbr : &quot;GEN&quot; , name : &quot;Genesis&quot; , osis : &quot;Gen&quot; , short : &quot;Gn&quot; } , book_number : 1 , reference_type : :verse , reference : nil , chapter_number : nil , verse_number : 1 , is_valid : false } , end_verse : % BibleEx.Verse { book : &quot;Genesis&quot; , book_names : %{ abbr : &quot;GEN&quot; , name : &quot;Genesis&quot; , osis : &quot;Gen&quot; , short : &quot;Gn&quot; } , book_number : 1 , reference_type : :verse , reference : &quot;Genesis 50:26&quot; , chapter_number : 50 , verse_number : 26 , is_valid : true } , end_verse_number : 26 , verses : nil , is_valid : true }","ref":"BibleEx.Chapter.html#new/1"},{"type":"module","title":"BibleEx.RefParser","doc":"Parses any general string for Bible references.","ref":"BibleEx.RefParser.html"},{"type":"function","title":"BibleEx.RefParser.parse_references/1","doc":"use the parse_references() function to retrieve all the Bible references found in a string. Examples iex&gt; alias BibleEx.RefParser iex&gt; RefParser . parse_references ( &quot;John 3:16&quot; ) [ % BibleEx.Reference { book : &quot;John&quot; , book_names : %{ abbr : &quot;JOH&quot; , name : &quot;John&quot; , osis : &quot;John&quot; , short : &quot;Jn&quot; } , book_number : 43 , reference : &quot;John 3:16&quot; , reference_type : :verse , ... } ] iex&gt; RefParser . parse_references ( &quot;I hope Matt 2:4 and James 5:1-5 get parsed&quot; ) [ % BibleEx.Reference { book : &quot;Matthew&quot; , book_names : %{ abbr : &quot;MAT&quot; , name : &quot;Matthew&quot; , osis : &quot;Matt&quot; , short : &quot;Mt&quot; } , book_number : 40 , reference : &quot;Matthew 2:4&quot; , reference_type : :verse , ... } , % BibleEx.Reference { book : &quot;James&quot; , book_names : %{ abbr : &quot;JAM&quot; , name : &quot;James&quot; , osis : &quot;Jas&quot; , short : &quot;Jas&quot; } , book_number : 59 , reference : &quot;James 5:1-5&quot; , reference_type : :verse_range , ... } ] iex&gt; RefParser . parse_references ( &quot;This sentence contains two references. One that spans chapters, John 3:16-4:3, found in the book of John, and another one in the same book.&quot; ) [ % BibleEx.Reference { book : &quot;John&quot; , book_names : %{ abbr : &quot;JOH&quot; , name : &quot;John&quot; , osis : &quot;John&quot; , short : &quot;Jn&quot; } , book_number : 43 , reference : &quot;John 3:16 - 4:3&quot; , reference_type : :chapter_range , ... } , % BibleEx.Reference { book : &quot;John&quot; , book_names : %{ abbr : &quot;JOH&quot; , name : &quot;John&quot; , osis : &quot;John&quot; , short : &quot;Jn&quot; } , book_number : 43 , reference : &quot;John&quot; , reference_type : :chapter_range , ... } ]","ref":"BibleEx.RefParser.html#parse_references/1"},{"type":"module","title":"BibleEx.Reference","doc":"Is a general Bible reference struct.","ref":"BibleEx.Reference.html"},{"type":"function","title":"BibleEx.Reference.chapter/1","doc":"Make a chapter %Reference{} struct. Parameters book : a string that is one of the four possible book name formats &quot;GEN&quot; (abbr) &quot;Genesis&quot; (name) &quot;Gen&quot; (osis) &quot;Gn&quot; (short) chapter : an integer that is the chapter number Examples iex&gt; alias BibleEx.Reference iex&gt; genesis_ref = Reference . chapter ( book : &quot;Genesis&quot; , chapter : 1 ) % BibleEx.Reference { book : &quot;Genesis&quot; , book_names : %{ abbr : &quot;GEN&quot; , name : &quot;Genesis&quot; , osis : &quot;Gen&quot; , short : &quot;Gn&quot; } , book_number : 1 , reference : &quot;Genesis 1&quot; , reference_type : :chapter , start_chapter : % BibleEx.Chapter { ... } }","ref":"BibleEx.Reference.html#chapter/1"},{"type":"function","title":"BibleEx.Reference.chapter_range/1","doc":"Make a chapter_range %Reference{} struct. Parameters book : a string that is one of the four possible book name formats &quot;GEN&quot; (abbr) &quot;Genesis&quot; (name) &quot;Gen&quot; (osis) &quot;Gn&quot; (short) start_chapter : an integer that is the chapter number end_chapter : an integer that is the chapter number Examples iex&gt; alias BibleEx.Reference iex&gt; gen_1_to_2 = Reference . verse ( book : &quot;Genesis&quot; , start_chapter : 1 , end_chapter : 2 ) % BibleEx.Reference { book : &quot;Genesis&quot; , book_names : %{ abbr : &quot;GEN&quot; , name : &quot;Genesis&quot; , osis : &quot;Gen&quot; , short : &quot;Gn&quot; } , book_number : 1 , reference : &quot;Genesis 1-2&quot; , reference_type : :chapter_range , start_chapter : % BibleEx.Chapter { ... } ... }","ref":"BibleEx.Reference.html#chapter_range/1"},{"type":"function","title":"BibleEx.Reference.new/1","doc":"Make a new %Reference{} struct. Parameters book : a string that is one of the four possible book name formats &quot;GEN&quot; (abbr) &quot;Genesis&quot; (name) &quot;Gen&quot; (osis) &quot;Gn&quot; (short) start_chapter : an integer that is the start chapter number start_verse : an integer that is the start verse number end_chapter : an integer that is the end chapter number end_verse : an integer that is the end verse number Examples iex&gt; alias BibleEx.Reference iex&gt; genesis_ref = Reference . new ( book : &quot;Genesis&quot; , start_chapter : 2 , start_verse : 3 , end_chapter : 4 , end_verse : 5 ) % BibleEx.Reference { book : &quot;Genesis&quot; , book_names : %{ abbr : &quot;GEN&quot; , name : &quot;Genesis&quot; , osis : &quot;Gen&quot; , short : &quot;Gn&quot; } , book_number : 1 , reference : &quot;Genesis 2:3 - 4:5&quot; , reference_type : :chapter_range , start_chapter : % BibleEx.Chapter { ... } } iex&gt; alias BibleEx.Reference iex&gt; Reference . new ( book : &quot;3 John&quot; ) % BibleEx.Reference { book : &quot;3 John&quot; , book_names : %{ abbr : &quot;3JO&quot; , name : &quot;3 John&quot; , osis : &quot;3John&quot; , short : &quot;3 Jn&quot; } , book_number : 64 , reference : &quot;3 John&quot; , reference_type : :chapter , start_chapter : % BibleEx.Chapter { book : &quot;3 John&quot; , book_names : %{ abbr : &quot;3JO&quot; , name : &quot;3 John&quot; , osis : &quot;3John&quot; , short : &quot;3 Jn&quot; } , reference_type : :chapter , reference : &quot;3 John 1&quot; , chapter_number : 1 , start_verse_number : 1 , start_verse : % BibleEx.Verse { book : &quot;3 John&quot; , book_names : %{ abbr : &quot;3JO&quot; , name : &quot;3 John&quot; , osis : &quot;3John&quot; , short : &quot;3 Jn&quot; } , book_number : 64 , reference_type : :verse , reference : &quot;3 John 1:1&quot; , chapter_number : 1 , verse_number : 1 , is_valid : true } , end_verse : % BibleEx.Verse { book : &quot;3 John&quot; , book_names : %{ abbr : &quot;3JO&quot; , name : &quot;3 John&quot; , osis : &quot;3John&quot; , short : &quot;3 Jn&quot; } , book_number : 64 , reference_type : :verse , reference : &quot;3 John 1:15&quot; , chapter_number : 1 , verse_number : 15 , is_valid : true } , end_verse_number : 15 , verses : [ ... ] , is_valid : true } , start_chapter_number : 1 , start_verse : % BibleEx.Verse { book : &quot;3 John&quot; , book_names : %{ abbr : &quot;3JO&quot; , name : &quot;3 John&quot; , osis : &quot;3John&quot; , short : &quot;3 Jn&quot; } , book_number : 64 , reference_type : :verse , reference : &quot;3 John 1:1&quot; , chapter_number : 1 , verse_number : 1 , is_valid : true } , start_verse_number : 1 , end_chapter : % BibleEx.Chapter { book : &quot;3 John&quot; , book_names : %{ abbr : &quot;3JO&quot; , name : &quot;3 John&quot; , osis : &quot;3John&quot; , short : &quot;3 Jn&quot; } , reference_type : :chapter , reference : nil , chapter_number : nil , start_verse_number : 1 , start_verse : % BibleEx.Verse { book : &quot;3 John&quot; , book_names : %{ abbr : &quot;3JO&quot; , name : &quot;3 John&quot; , osis : &quot;3John&quot; , short : &quot;3 Jn&quot; } , book_number : 64 , reference_type : :verse , reference : nil , chapter_number : nil , verse_number : 1 , is_valid : false } , end_verse : % BibleEx.Verse { book : &quot;3 John&quot; , book_names : %{ abbr : &quot;3JO&quot; , name : &quot;3 John&quot; , osis : &quot;3John&quot; , short : &quot;3 Jn&quot; } , book_number : 64 , reference_type : :verse , reference : &quot;3 John 1:15&quot; , chapter_number : 1 , verse_number : 15 , is_valid : true } , end_verse_number : 15 , verses : nil , is_valid : true } , end_chapter_number : 1 , end_verse : 15 , end_verse_number : 15 , is_valid : true , chapters : [ % BibleEx.Chapter { book : &quot;3 John&quot; , book_names : %{ abbr : &quot;3JO&quot; , name : &quot;3 John&quot; , osis : &quot;3John&quot; , short : &quot;3 Jn&quot; } , reference_type : :chapter , reference : &quot;3 John 1&quot; , chapter_number : 1 , start_verse_number : 1 , start_verse : % BibleEx.Verse { book : &quot;3 John&quot; , book_names : %{ abbr : &quot;3JO&quot; , name : &quot;3 John&quot; , osis : &quot;3John&quot; , short : &quot;3 Jn&quot; } , book_number : 64 , reference_type : :verse , reference : &quot;3 John 1:1&quot; , chapter_number : 1 , verse_number : 1 , is_valid : true } , end_verse : % BibleEx.Verse { book : &quot;3 John&quot; , book_names : %{ abbr : &quot;3JO&quot; , name : &quot;3 John&quot; , osis : &quot;3John&quot; , short : &quot;3 Jn&quot; } , book_number : 64 , reference_type : :verse , reference : &quot;3 John 1:15&quot; , chapter_number : 1 , verse_number : 15 , is_valid : true } , end_verse_number : 15 , verses : [ ... ] , is_valid : true } ] , verses : [ ... ] }","ref":"BibleEx.Reference.html#new/1"},{"type":"function","title":"BibleEx.Reference.verse/1","doc":"Make a verse %Reference{} struct. Parameters book : a string that is one of the four possible book name formats &quot;GEN&quot; (abbr) &quot;Genesis&quot; (name) &quot;Gen&quot; (osis) &quot;Gn&quot; (short) chapter : an integer that is the chapter number verse : an integer that is the verse number Examples iex&gt; alias BibleEx.Reference iex&gt; gen_11 = Reference . verse ( book : &quot;Genesis&quot; , chapter : 1 , verse : 1 ) % BibleEx.Reference { book : &quot;Genesis&quot; , book_names : %{ abbr : &quot;GEN&quot; , name : &quot;Genesis&quot; , osis : &quot;Gen&quot; , short : &quot;Gn&quot; } , book_number : 1 , reference : &quot;Genesis 1:1&quot; , reference_type : :verse , start_chapter : % BibleEx.Chapter { ... } ... }","ref":"BibleEx.Reference.html#verse/1"},{"type":"function","title":"BibleEx.Reference.verse_range/1","doc":"Make a verse_range %Reference{} struct. Parameters book : a string that is one of the four possible book name formats &quot;GEN&quot; (abbr) &quot;Genesis&quot; (name) &quot;Gen&quot; (osis) &quot;Gn&quot; (short) start_verse : an integer that is the start verse number end_verse : an integer that is the end verse number Examples iex&gt; alias BibleEx.Reference iex&gt; matt2410 = Reference . verse_range ( book : &quot;Mat&quot; , chapter : 2 , start_verse : 4 , end_verse : 10 ) % BibleEx.Reference { book : &quot;Matthew&quot; , book_names : %{ abbr : &quot;MAT&quot; , name : &quot;Matthew&quot; , osis : &quot;Matt&quot; , short : &quot;Mt&quot; } , book_number : 40 , reference : &quot;Matthew 2:4-10&quot; , reference_type : :verse_range , start_chapter : % BibleEx.Chapter { ... } ... }","ref":"BibleEx.Reference.html#verse_range/1"},{"type":"module","title":"BibleEx.Verse","doc":"A Bible verse struct.","ref":"BibleEx.Verse.html"},{"type":"function","title":"BibleEx.Verse.new/1","doc":"Make a new %Verse{} struct. Parameters book : a string that is one of the four possible book name formats &quot;GEN&quot; (abbr) &quot;Genesis&quot; (name) &quot;Gen&quot; (osis) &quot;Gn&quot; (short) chapter_number : an integer that is the chapter number verse_number : an integer that is the verse number Examples iex&gt; alias BibleEx.Verse iex&gt; first = Verse ( book : &quot;Genesis&quot; , chapter_number : 1 , verse_number : 1 ) % BibleEx.Verse { book : &quot;Genesis&quot; , book_names : %{ abbr : &quot;GEN&quot; , name : &quot;Genesis&quot; , osis : &quot;Gen&quot; , short : &quot;Gn&quot; } , book_number : 1 , reference_type : :verse , reference : &quot;Genesis 1:1&quot; , chapter_number : 1 , verse_number : 1 , is_valid : true } iex&gt; alias BibleEx.Verse iex&gt; matt24 = Verse . new ( book : &quot;Matt&quot; , chapter_number : 2 , verse_number : 4 ) % BibleEx.Verse { book : &quot;Matt&quot; , book_names : %{ abbr : &quot;MAT&quot; , name : &quot;Matthew&quot; , osis : &quot;Matt&quot; , short : &quot;Mt&quot; } , book_number : 40 , reference_type : :verse , reference : &quot;Matt 2:4&quot; , chapter_number : 2 , verse_number : 4 , is_valid : true }","ref":"BibleEx.Verse.html#new/1"}]